/**
 * @since 0.2.0
 */
import { IO } from 'fp-ts/es6/IO';
import { Option } from 'fp-ts/es6/Option';
/**
 * @since 0.2.0
 */
export declare const clear: IO<void>;
/**
 * @since 0.2.0
 */
export declare function getItem(key: string): IO<Option<string>>;
/**
 * @since 0.2.0
 */
export declare function key(index: number): IO<Option<string>>;
/**
 * @since 0.2.0
 */
export declare const length: IO<number>;
/**
 * @since 0.2.0
 */
export declare function removeItem(key: string): IO<void>;
/**
 * @since 0.2.0
 */
export declare function setItem(key: string, value: string): IO<void>;
